%global namedreltag %{nil}
%global namedversion %{version}%{?namedreltag}
Name:          versions-maven-plugin
Version:       1.2
Release:       %mkrel 1
Summary:       Versions Maven Plugin
Group:         Development/Java
License:       ASL 2.0
Url:           http://mojo.codehaus.org/versions-maven-plugin/
# svn export https://svn.codehaus.org/mojo/tags/versions-maven-plugin-1.2
# tar czf versions-maven-plugin-1.2-src-svn.tar.gz versions-maven-plugin-1.2
Source0:       versions-maven-plugin-1.2-src-svn.tar.gz
Patch0:        versions-maven-plugin-1.2-sink_justify.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: mojo-parent

BuildRequires: apache-commons-lang
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-changes-plugin
BuildRequires: maven-changelog-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-doxia
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-invoker-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-shared-common-artifact-filters
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-site-plugin
BuildRequires: maven-wagon
BuildRequires: modello
BuildRequires: plexus-component-api
BuildRequires: plexus-container-default
BuildRequires: plexus-i18n
BuildRequires: plexus-utils
BuildRequires: wstx
BuildRequires: maven-plugin-cobertura

Requires:      apache-commons-lang
Requires:      junit
Requires:      maven
Requires:      maven-doxia
Requires:      maven-doxia-sitetools
Requires:      maven-wagon
Requires:      plexus-component-api
Requires:      plexus-container-default
Requires:      plexus-i18n
Requires:      plexus-utils
Requires:      wstx

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Versions Plugin for Maven 2. The Versions Plugin updates the
versions of components in the POM.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n versions-maven-plugin-%{namedversion}
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Oct 28 2011 gil <gil> 1.2-1.mga2
+ Revision: 159032
- imported package versions-maven-plugin

